function [data] = get_tif_files()
%GET_TIF_FILES Summary of this function goes here

    [file_name, data_folder] = uigetfile('*.tif', 'Select any TIFF file of your data');
    filePattern = fullfile(data_folder, '*.tif'); % Change to whatever pattern you need.
    theFiles = dir(filePattern);
    for k = 1 : length(theFiles)
        baseFileName = theFiles(k).name;
        fullFileName = fullfile(theFiles(k).folder, baseFileName);
        data(:,:,k) = im2double(imread(fullFileName));
    end
end

